import { Action, combineReducers } from 'redux';
import State from '../state';

import { reducer as signinReducer} from '@overflow/member/redux/reducer/signin';
import { reducer as signoutReducer} from '@overflow/member/redux/reducer/signout';
import { reducer as signupReducer} from '@overflow/member/redux/reducer/signup';

import { ConnectedRouter } from 'react-router-redux';


const reducer = combineReducers<State>({
  signinReducer,
  signoutReducer,
  signupReducer,
});

export default reducer;
