abstract class Platform {

  public static * getAppContainer(containerId: string): IterableIterator<Promise<HTMLElement>> {
    const appContainer = yield new Promise<HTMLElement>(resolve => {
      document.addEventListener('DOMContentLoaded', () => {
        resolve(document.getElementById(containerId));
      });
    });

    return appContainer;
  }
}

export default Platform;
