import { connect, Dispatch } from 'react-redux';
import {
  SignIn,
  Props as SignInProps,
  State as SignInState,
} from './components/SignIn';
import State from '../redux/state/Signin';

import * as signinActions from '../redux/action/signin';


export function mapStateToProps(state: any): SignInProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SignInProps {
  return {
    onSignin: (signinId: string, signinPw: string) => {
      dispatch(signinActions.request(signinId, signinPw));
    },
    onSignup: () => {
      return;
    },
    onResetPassword: () => {
      return;
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(SignIn);
