import *as React from 'react';
import {
  Dropdown, Icon, Menu, Label,

  Sidebar, Segment, Button, Image, Header,
} from 'semantic-ui-react';

import { Link, Route } from 'react-router-dom';
import * as History from 'history';

const options = [
  { key: 'angular', text: 'Angular', value: 'angular' },
  { key: 'css', text: 'CSS', value: 'css' },
  { key: 'design', text: 'Graphic Design', value: 'design' },
  { key: 'ember', text: 'Ember', value: 'ember' },
  { key: 'html', text: 'HTML', value: 'html' },
  { key: 'ia', text: 'Information Architecture', value: 'ia' },
  { key: 'javascript', text: 'Javascript', value: 'javascript' },
  { key: 'mech', text: 'Mechanical Engineering', value: 'mech' },
  { key: 'meteor', text: 'Meteor', value: 'meteor' },
  { key: 'node', text: 'NodeJS', value: 'node' },
  { key: 'plumbing', text: 'Plumbing', value: 'plumbing' },
  { key: 'python', text: 'Python', value: 'python' },
  { key: 'rails', text: 'Rails', value: 'rails' },
  { key: 'react', text: 'React', value: 'react' },
  { key: 'repair', text: 'Kitchen Repair', value: 'repair' },
  { key: 'ruby', text: 'Ruby', value: 'ruby' },
  { key: 'ui', text: 'UI Design', value: 'ui' },
  { key: 'ux', text: 'User Experience', value: 'ux' },
];




export class TopBar extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.state = {
      notification_visible: false,
    };

  }


  public render(): JSX.Element {
    {/*<h1>React Redux sample</h1>
        <li><Link to='/test' >TopBar</Link></li>
        <li><Link to='/test2' >Signup</Link></li>
        <li><Link to='/test3' >SignIn</Link></li>
        <li><Link to='/test4' >PWChange</Link></li>
        <li><Link to='/test5' >ProbeDown</Link></li>
        <li><Link to='/test6' >DiscoveryDetails</Link></li>

        <li><Link to='/test14' >Insanity</Link></li>*/}

    return (


      <div>
        <Menu inverted borderless size='tiny'>
          <Menu.Item>  overFlow   </Menu.Item>
          <Menu.Item href='/' > Home   </Menu.Item>
          <Dropdown text='Monitoring' pointing className='link item'>
            <Dropdown.Menu>
              <Dropdown.Header icon='angle right' content='Probe' />
              <Dropdown.Divider />
              <Dropdown.Item href='#/test14'> Probe List </Dropdown.Item>
              <Dropdown.Item href='#/test14'> Noauth Probes </Dropdown.Item>
              <Dropdown.Item href='#/test14'> Download </Dropdown.Item>
              <Dropdown.Divider />
              <Dropdown.Item href='#/test21'>Sensors</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>

          <Dropdown text='Infrastructure' pointing className='link item'>
            <Dropdown.Menu>
              <Dropdown.Item> Maps </Dropdown.Item>
              <Dropdown.Item>Targets</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>
          <Menu.Item link>            Dashboard    </Menu.Item>
          <Menu.Item link>            Metrics    </Menu.Item>
          <Menu.Item link>            Alert    </Menu.Item>
          <Menu.Item link>            History    </Menu.Item>
          <Dropdown text='Custom' pointing className='link item'>
            <Dropdown.Menu>
              <Dropdown.Item href='#/test2'> SignUp </Dropdown.Item>
              <Dropdown.Item href='#/test3'>SignIn</Dropdown.Item>
              <Dropdown.Item href='#/test4'> PWChange </Dropdown.Item>
              <Dropdown.Item href='#/test5'>ProbeDown</Dropdown.Item>
              <Dropdown.Item href='#/test14'> Insanity </Dropdown.Item>
              <Dropdown.Item href='#/test6'>DiscoveryDetails</Dropdown.Item>
              <Dropdown.Item href='#/test7'>Tree</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>


          <Menu.Item position='right' link>
            <Icon name='setting' size='large' />
          </Menu.Item>
          <Menu.Item onClick={() => {
            this.props.onSidebar();
          }}>
            <Label color='teal' horizontal>22</Label>
          </Menu.Item>
          <Menu.Item link>
            <Dropdown icon='user' className='ui pointing dropdown top right'>
              <Dropdown.Menu >
                <Dropdown.Item text='Log out' />
                <Dropdown.Divider />
                <Dropdown.Item text='Settings' />
                <Dropdown.Item text='- Profile' />
                <Dropdown.Item text='- Preferences' />
                <Dropdown.Item text='- Change Password' />
                <Dropdown.Divider />
                <Dropdown.Item text='Help' />
              </Dropdown.Menu>
            </Dropdown>
          </Menu.Item>


        </Menu>


        {/*<Sidebar.Pushable as={Segment}  >
          <Sidebar
            as={Menu}
            animation='overlay'
            width='thin'
            direction='right'
            visible={this.state.notification_visible}
            icon='labeled'
            vertical
            inverted

          >
            <Menu.Item name='home'>
              <Icon name='home' />
              Home
            </Menu.Item>
            <Menu.Item name='gamepad'>
              <Icon name='gamepad' />
              Games
            </Menu.Item>
            <Menu.Item name='camera'>
              <Icon name='camera' />
              Channels
            </Menu.Item>
          </Sidebar>
          <Sidebar.Pusher >
            <Segment basic >

            </Segment>
          </Sidebar.Pusher>
        </Sidebar.Pushable>*/}
      </div>
    );
  }



}

