



export function int2ip(ipInt: number) {
    return ((ipInt >>> 24) + '.' + (ipInt >> 16 & 255) + '.' + (ipInt >> 8 & 255) + '.' + (ipInt & 255));
}

export function ip2int(ip: string) {
    return ip.split('.').reduce(function (ipInt, octet) { return (ipInt << 8) + parseInt(octet, 10); }, 0) >>> 0;
}

export function sec2date(ms: number) {
    var dateTime = new Date(ms);
    return dateTime.toLocaleString();
}

function numHex(s: number) {
    var a = s.toString(16);
    if ((a.length % 2) > 0) { a = "0" + a; }
    return a;
}

export function intToMac(macInt: number): string {

    var hexValue = numHex(macInt);

    var macaddress = [];

    for (var i = 0; i < hexValue.length; i = i + 2) {
        macaddress.push(hexValue.substr(i, 2));
    }


    return macaddress.join(':');
}


