import *as React from 'react';
import {
  Input,
  InputOnChangeData,
  Select,
  Button,
  Grid,
  Form,
  Container,
} from 'semantic-ui-react';

export interface State {
  pass: string;
  passCon: string;
}
export interface Props {

}

export class PWChange extends React.Component<Props, State> {
  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      pass:null,
      passCon:null,
    };

  }

  public onSubmit():void {
    console.log(this.state);
  }


  public render(): JSX.Element {
    return (
      <Container fluid>
        <Grid>
          <Grid.Row>
            <Grid.Column mobile={16} tablet={5} computer={5}>
            </Grid.Column>
            <Grid.Column mobile={16} tablet={6} computer={6}>
              <Form>
                <Form.Input placeholder='Password' type='password' onChange={
                  (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                    this.setState({ pass: data.value });
                  }} />
                <Form.Input placeholder='Password Confirm' type='password' onChange={
                  (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                    this.setState({ passCon: data.value });
                  }} />
                <Form.Group>
                  <Button primary fluid style={{margin:'7'}} onClick={this.onSubmit}>    Submit  </Button>
                  <Button fluid style={{margin:'7'}}>    Cancel  </Button>
                </Form.Group>
              </Form>
            </Grid.Column>
            <Grid.Column mobile={16} tablet={4} computer={5}>
            </Grid.Column>
          </Grid.Row>
        </Grid>
      </Container>
    );
  }



}

