import *as React from 'react'
import {
  Grid, Menu, Segment, MenuItemProps, Header, Container
} from 'semantic-ui-react'


export interface State {

}
export interface Props {

}

const osNames = ["Windows","Debian","Ubuntu","Fedora", "CentOS"];

export class ProbeDown extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

  this.state = { activeItem: osNames[0] }

  
  }
handleItemClick = (event: React.SyntheticEvent<HTMLAnchorElement>, data: MenuItemProps) => {
  this.setState({ activeItem: data.name })

  console.log(data.name);
}

  render() {

const { activeItem } = this.state
    return (
      <Container fluid>
        <Header as='h3' dividing>Probe Download</Header>
        <Grid>
          <Grid.Column width={4}>
            <Menu fluid vertical tabular>
              {osNames.map((os: string) => {
                    return (
                      <Menu.Item name={os} active={activeItem === os} onClick={this.handleItemClick} />
                    )
              })}


            
            </Menu>
          </Grid.Column>
          

          <Grid.Column stretched width={12}>
            <Segment vertical>
              {this.state.activeItem} Download Page
            </Segment>
          </Grid.Column>
        </Grid>
      </Container>
    );
  }



}

